// Created by ARDORA www.webardora.net
//ardoraTimeLine.js
var tl;var isFull=false;
function onLoad() {
 $("#ButFull").click(function (){if (isFull) {isFull=false;fullScreenCancel();}else{isFull=true;fullScreen()}})
Timeline.strings["es"] = {wikiLinkLabel:  "Enlace"};
   var eventSource = new Timeline.DefaultEventSource();
   var themeC = Timeline.ClassicTheme.create();
   themeC.event.bubble.width = 400;
   var d = Timeline.DateTime.parseIso8601DateTime("1941-01-01T00:00:00+01:00");
   var bandInfos = [
      Timeline.createBandInfo({
         eventSource:    eventSource,
         theme:	  themeC,
         date:           d,
         width:          "90%",
         layout:         "original",
         highlight:      true,
         intervalUnit:   Timeline.DateTime.YEAR,
         intervalPixels: 260
      }),
      Timeline.createBandInfo({
         eventSource:    eventSource,
         theme:	  themeC,
         date:           d,
         width:          "10%",
         layout:         "overview",
         highlight:      true,
         intervalUnit:   Timeline.DateTime.DECADE,
         intervalPixels: 50
      })
   ];
   bandInfos[1].syncWith = 0;
   bandInfos[1].highlight = true;
   tl = Timeline.create(document.getElementById("tl"), bandInfos);
   tl.timeline_start = new Date(Date.UTC(1822,1,1));
   tl.timeline_stop = new Date(Date.UTC(2035,1,1));
   Timeline.loadXML("../ardoraWorkFiles/computertime/computertime.xml", function(xml, url) { eventSource.loadXML(xml, url); });
}
var resizeTimerID = null;
function onResize() {
   if (resizeTimerID == null) {
      resizeTimerID = window.setTimeout(function() {
         resizeTimerID = null;
         tl.layout();
      }, 500);
   }
}
function fullScreen() {
var docElement, request;docElement = document.getElementById("divFull");
request = docElement.requestFullScreen || docElement.webkitRequestFullScreen || docElement.mozRequestFullScreen || docElement.msRequestFullScreen;
if (typeof request != "undefined" && request) {request.call(docElement);}}
function fullScreenCancel() {
var docElement, request;docElement = document;
request = docElement.cancelFullScreen || docElement.webkitCancelFullScreen || docElement.mozCancelFullScreen || docElement.msCancelFullScreen || docElement.exitFullscreen;
if (typeof request != "undefined" && request) {request.call(docElement);}}
